Package org.bukkit.inventory

# Interface BrewerInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface BrewerInventory extends Inventory
Interface to the inventory of a Brewing Stand.

## Method Summary

Modifier and Type
Method
Description
`@Nullable ItemStack`
`getFuel()`
Get the current fuel for brewing.
`@Nullable BrewingStand`
`getHolder()`
Gets the block or entity belonging to the open inventory
`@Nullable ItemStack`
`getIngredient()`
Get the current ingredient for brewing.
`void`
`setFuel(@Nullable ItemStack fuel)`
Set the current fuel for brewing.
`void`
`setIngredient(@Nullable ItemStack ingredient)`
Set the current ingredient for brewing.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getIngredient

@Nullable @Nullable ItemStack getIngredient()
Get the current ingredient for brewing.

Returns:
  The ingredient.

### setIngredient

void setIngredient(@Nullable @Nullable ItemStack ingredient)
Set the current ingredient for brewing.

Parameters:
  `ingredient` - The ingredient

### getFuel

@Nullable @Nullable ItemStack getFuel()
Get the current fuel for brewing.

Returns:
  The fuel

### setFuel

void setFuel(@Nullable @Nullable ItemStack fuel)
Set the current fuel for brewing. Generally only `Material.BLAZE_POWDER` will be of use.

Parameters:
  `fuel` - The fuel

### getHolder

@Nullable @Nullable BrewingStand getHolder()
Description copied from interface: `Inventory`
Gets the block or entity belonging to the open inventory

Specified by:
  `getHolder` in interface `Inventory`
Returns:
  The holder of the inventory; null if it has no holder.